Subject: Re: GPCA Needs and Internal Primaries: SOS No Endorsement
From: Erik <[email-masked]>
To: GPCA Discussion List for SGA Votes <[email-masked]>
Date: Tue, 3 Apr 2018 16:20:48 -0700

Erik Rydberg for Secretary of State

​
Michael Feinstein for Secretary of State

​

On Tue, Apr 3, 2018 at 4:17 PM, Erik <[email-masked]> wrote:

> When one candidate receives the majority of the vote to endorse them...
>
> Erik Rydberg for Secretary of State
>
> and the other candidate receives the majority of the vote to oppose them...
>
> Michael Feinstein for Secretary of State
>
> ​and the result is that the Green Party of California endorses no one...
> changes must be made.
>
> We are going to grow as a party exponentially. There will be more and more
> candidates running for the same seats. This is why I suggest creating an
> internal primary system where endorsing more than one candidate is not an
> option. Endorsing two candidates for the same office is meaningless... and
> not endorsing anyone when you clearly have a candidate that the party is in
> favor of is hindering. Now GPCA cannot do anything for either candidate.
>
> 75% is too high of a threshold when you have two candidates running for
> the same seat. Especially if both candidates are highly liked by the party
> which is not the case in this scenario... it was a landslide for one
> candidate over the other... but if it was a close race, it would be a much
> tighter in percentages and neither candidate would come out with an
> endorsement every time.
>
> We need to prepare ourselves for multiple good candidates in the same race
> in the future. We need to take back our primaries that were taken from us
> by Top Two. We need this internal primary system to be conducted early,
> well before the filing date closes. We need to lower our endorsement
> threshold so that we never have a "No Endorsement" outcome and we must
> never endorse more than one candidate.
>
> If we make these kind of changes we will empower our state party to be
> ahead of the game in terms of campaigning for endorsed candidates, in terms
> of fundraising for them and in terms of submitting our endorsements to the
> California Voter Information Guide on time. We cannot afford to be behind
> the curve when we're running against capitalist funded parties.
>
> I hope everyone has paid close attention to who it is among us that fought
> these endorsements every step of the way. We have to make bold changes if
> we want bold results.
>
> I am very proud that GPCA is going to send a loud signal to Peace and
> Freedom Party and all socialist and Corporate Free Independent Candidates
> that we will be inclusive and endorse them. It's the least we can do for
> Peace and Freedom seeing as they endorsed 5 Greens in comparison the 4
> Peace and Freedom candidates we endorsed.
>
> This is a step in the right direction. We have a lot more work left to do.
> I couldn't be happier to be doing this work alongside every member of Green
> Party CA who wants to grow and build the party. Thank you to every SGA
> Delegates that voted for me and to those that didn't you will see in time
> that I am here to help grow the party and take our power back rich
> capitalists and corporations.
>
> Solidarity
>
> "Dream big, but it's always one step at a time."  - C.T. Lawrence
> Butler(Food Not Bombs/Green Committees of Correspondence)
> ​
>
>
> --
>
> *Erik Rydberg *
>
> *Green Party of California(GPCA) Spokesperson*
>
>
> [email-masked] <[email-masked]>530-781-2903*
>
>                 cagreens.org
>
>
>

-- 

*Erik Rydberg *

*Green Party of California(GPCA) Spokesperson*

[email-masked] <[email-masked]>530-781-2903*

                cagreens.org